Bug Hunting Session
Bug 116985 - DOCX import, shape with textbox: incorrect text area size when shape size is relative
Summary: DOCX import, shape with textbox: incorrect text area size when shape size is ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.5 target:5.4....
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-13 08:50 UTC by Miklos Vajna
Modified: 2018-05-07 10:39 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Reproducer document. (13.19 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-04-13 08:50 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2018-04-13 08:50:12 UTC
Created attachment 141325 [details]
Reproducer document.

Steps to reproduce:

1) Open the attached bugdoc.
2) Select the shape.
3) Go to format -> textbox and shape -> text attributes
4) observer that spacing to borders is the same value for left and right

Expected result: the spacing to borders (of the text) is visually the same in the rendered document.

Actual result: left spacing is larger than right spacing.

This causes the text to be laid out in 4 lines, while it's 3 lines in Word.
Comment 1 Commit Notification 2018-04-13 18:21:10 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8b976ac64c9cac360f7c4fd9844fcfac7ba25a8

tdf#116985 sw: fix geometry of textbox of shape with relative size

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2018-04-25 08:17:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33dcd5f61e1966accf9b68c662bac7cb70352ca1&h=libreoffice-6-0

tdf#116985 sw: fix geometry of textbox of shape with relative size

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-04-30 10:35:08 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b39c6821929041d0806125720c56525df40c455&h=libreoffice-5-4

tdf#116985 sw: fix geometry of textbox of shape with relative size

It will be available in 5.4.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-05-07 10:39:49 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ead159607641f91bf220c574e7fd87c95d2e834&h=libreoffice-5-4-7

tdf#116985 sw: fix geometry of textbox of shape with relative size

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.